package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.DelimiterMessage;
import com.eactive.eai.transformer.message.Message;

public class DelimiterMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize, boolean useDefault) throws Exception {
    	DelimiterMessage message = (DelimiterMessage) layout.getRootItem();
        message = (DelimiterMessage) message.clone();
        message.createObject();
        return message;
    }
}
